Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.sos.control
Class AbstractSOSListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.sos.control.AbstractSOSListener

All Implemented Interfaces:
  EventListener, WebListener

Direct Known Subclasses:
  DescribePlatformListener, DescribeSensorListener, GetCapabilitiesListener, GetObservationListener

    public abstract class AbstractSOSListener

extends AbstractListener

...

Author:
  Ugo Taddei

Constructor Summary
`AbstractSOSListener()`

Method Summary
`void` | `actionPerformed(FormEvent e)`
`protected abstract Object` | `createData(RPCMethodCall mc, HashMap<String,Document> map)` Create a Data from the call and the given map.
`protected abstract String` | `createRequest(RPCMethodCall mc)` Create a request
`protected HashMap<String,Document>` | `performRequest(String request)`
`protected abstract void` | `setNextPageData(Object data)` sets the parameter as ServletRequest attribute to enable access to the result for the next page
`protected abstract void` | `validateRequest(RPCMethodCall mc)` Validates a request

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSOSListener

    public AbstractSOSListener()

Method Detail

### validateRequest

    protected abstract void validateRequest(RPCMethodCall mc)
                                     throws SOSClientException

  Validates a request

  Parameters:
    `mc` - the remote procedure call bean
  Throws:
    `SOSClientException`

### createRequest

    protected abstract String createRequest(RPCMethodCall mc)
                                     throws SOSClientException

  Create a request

  Parameters:
    `mc` - the remote procedure call bean
  Returns:
    a String containing the request.
  Throws:
    `SOSClientException`

### createData

    protected abstract Object createData(RPCMethodCall mc,
                                         HashMap<String,Document> map)
                                  throws SOSClientException

  Create a Data from the call and the given map.

  Parameters:
    `mc` - the remote procedure call bean
    `map` - containing the document nodes.
  Returns:
    the data bean.
  Throws:
    `SOSClientException`

### setNextPageData

    protected abstract void setNextPageData(Object data)

  sets the parameter as ServletRequest attribute to enable access to the result for the next page

  Parameters:
    `data` - param/result

### actionPerformed

    public void actionPerformed(FormEvent e)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`

### performRequest

    protected HashMap<String,Document> performRequest(String request)
                                               throws SOSClientException

  Throws:
    `SOSClientException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org